﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Drawing.Drawing2D;

namespace howto_use_using
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Redraw on resize.
        private void Form1_Load(object sender, EventArgs e)
        {
            this.ResizeRedraw = true;
        }

        // Draw a diamond.
        private void Form1_Paint(object sender, PaintEventArgs e)
        {
            // Clear.
            e.Graphics.Clear(this.BackColor);
            e.Graphics.SmoothingMode = SmoothingMode.AntiAlias;

            // Make points to draw a diamond.
            Point[] points =
            {
                new Point((int)(this.ClientSize.Width / 2), 0),
                new Point(this.ClientSize.Width, (int)(this.ClientSize.Height / 2)),
                new Point((int)(this.ClientSize.Width / 2), this.ClientSize.Height),
                new Point(0, (int)(this.ClientSize.Height / 2)),
            };

            // Make the pen.
            using (Pen dashed_pen = new Pen(Color.Red, 10))
            {
                dashed_pen.DashStyle = DashStyle.Dot;
                e.Graphics.DrawPolygon(dashed_pen, points);
            }
        }
    }
}
